* {
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

footer,
header {
  background: #209ce9;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  height: 25px;
  padding: 10px;
}

footer > *,
footer > * > *,
header > *,
header > * > * {
  color: #FFFFFF;
  text-decoration: none;
  margin: 5px;
}

footer {
  margin-top: auto;
}

footer > p {
  width: 100%;
  text-align: center;
}

main {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  flex-grow: 2;
}

#divQrCode {
  background-color: #fff;
  border: 1px solid black;
  border-radius: 20px;
  box-sizing: border-box;
}

.qrCode {
  padding: 20px;
  width: 350px;
  height: 400px;
}

.qrCode div {
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 100%;
}

#qrCodeImg > canvas {
  padding: 5px;
  background-color: #fff;
  border: 5px solid #209ce9;
  border-radius: 20px;
}

.pure-form {
  display: flex;
  flex-flow: column nowrap;
  margin: 10px;
  width: 500px;
}

textarea {
  min-width: 100%;
}

button {
  margin-top: 10px;
}

.button-success,
.button-error,
.button-warning,
.button-secondary {
  color: white;
  border-radius: 4px;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
}

.button-success {
  background: rgb(28, 184, 65);
  /* this is a green */
}

.button-error {
  background: rgb(202, 60, 60);
  /* this is a maroon */
}

.button-warning {
  background: rgb(223, 117, 20);
  /* this is an orange */
}

.button-secondary {
  background: rgb(66, 184, 221);
  /* this is a light blue */
}
.menu {
  font-size: 20px;
}

.page {
  display: flex;
  flex-direction: row;
  flex: 1;
}

aside {
  display: none;
  background: #7dcdff;
  width: 25%;
}

fieldset div {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

fieldset > div > * {
  margin: 0;
  padding: 0;
}

.round {
  border-radius: 25px;
}

#modal-background {
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5);
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  z-index: 9998;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  display: none;	
  background-color: #fff;
  border-radius: 20px;
  box-sizing: border-box;
  z-index: 9999;
}

.settings {
  width: 800px;
  height: 500px;
}

.modal-content {
  height: 450;
  overflow: auto;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  flex-grow: 2;
}

.modal > p {
  padding: 15px;
  margin: 0;
}

.modal-header {
  background-color: #f9f9f9;
  border-bottom: 1px solid #dddddd;
  box-sizing: border-box;
  border-radius: 20px 20px 0 0;
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.modal-header h3 {
  margin: 0;
  box-sizing: border-box;
  padding-left: 15px;
  line-height: 50px;
  color: #4d4d4d;
  font-size: 16px;
}

.modal-header div {
  border-left: 1px solid #dddddd;
  height: 49px;
  padding: 0 15px 0 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.modal-header label:hover img {
  cursor: pointer;
  opacity: 0.6;
}

/* Chat containers */
.div-msgs, #lstMsgs {
  width: 100%;
}

#lstMsgs {
  height: 450px;
  overflow: auto;
  display: flex;
  flex-direction: column-reverse;
}

.container {
  border: 2px solid #dedede;
  background-color: #f1f1f1;
  border-radius: 10px;
  padding: 10px;
  margin: 1px 0;
  overflow-wrap: break-word;
}

/* Darker chat container */
.darker {
  border-color: #ccc;
  background-color: #ddd;
}

/* Clear floats */
.container::after {
  content: "";
  clear: both;
  display: table;
}

/* Style images */
.container img {
  float: left;
  max-width: 60px;
  width: 100%;
  margin-right: 20px;
  border-radius: 50%;
}

/* Style the right image */
.container img.right {
  float: right;
  margin-left: 20px;
  margin-right:0;
}

/* Style time text */
.time-right {
  float: right;
  color: #aaa;
}

/* Style time text */
.time-left {
  float: left;
  color: #999;
}

label {
  cursor: pointer;
}

.invidiousInstances,
.nanoNodes,
.nostrRelays {
  margin: 10px;
}

.invidiousInstances > div,
.nanoNodes > div,
.nostrRelays > div {
  padding: 8px;
  display: flex;
  justify-content: space-between;
}

.invidiousInstances > div:first-child,
.nanoNodes > div:first-child,
.nostrRelays > div:first-child {
  border-radius: 15px 15px 0px 0px;
}

.invidiousInstances > div:nth-child(n+2):last-child,
.nanoNodes > div:nth-child(n+2):last-child,
.nostrRelays > div:nth-child(n+2):last-child {
  border-radius: 0px 0px 15px 15px;
}

.invidiousInstances > div:only-child,
.nanoNodes > div:only-child,
.nostrRelays > div:only-child {
  border-radius: 15px 15px 15px 15px;
}

.invidiousInstances > div:nth-of-type(odd),
.nanoNodes > div:nth-of-type(odd),
.nostrRelays > div:nth-of-type(odd) {
  background-color: #209ce955;
}

.invidiousInstances > div:nth-of-type(even),
.nanoNodes > div:nth-of-type(even),
.nostrRelays > div:nth-of-type(even) {
  background-color: #209ce911;
}

.invidiousInstances > div > div:first-child,
.nanoNodes > div > div:first-child,
.nostrRelays > div > div:first-child {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: lowercase;
}

.tabs {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 50px;
  width: 70%;
  margin: auto;
}

.tab {
  background: none;
  border: none;
  font-size: 18px;
  font-weight: 600;
  color: #919191;
  cursor: pointer;
  height: 100%;
  width: 100%;
}

.tab.active {
  color: #209ce9;
  border-bottom: 2px solid #209ce9;
}

.content.active {
  display: block;
}

.contents {
  margin-top: 20px;
  height: 350px;
  overflow: scroll;
}

.content {
  display: none;
}
